import { AbstractPaymentRequestDto } from "../AbstractPaymentRequestDto.js";
export class LinepayAuthorizeRequestDto extends AbstractPaymentRequestDto {
    serviceType = "linepay";
    serviceCommand = "Authorize";
    orderId;
    amount;
    withCapture;
    itemId;
    itemName;
    itemImageUrl;
    checkUseBrowser;
    appUrlScheme;
    useOriginalApp;
    mid;
    packageName;
    langCd;
    successUrl;
    cancelUrl;
    errorUrl;
    pushUrl;
    oneTimeKey;
    paymentConfirmType;
    _maskedLog;
    get maskedLog() {
        return this._maskedLog;
    }
    set maskedLog(value) {
        this._maskedLog = value;
    }
}
//# sourceMappingURL=LinepayAuthorizeRequestDto.js.map